XFREERDP(1)

NAME
xfreerdp - FreeRDP X11 client

SYNOPSIS

xfreerdp [file] [options] [/v:server[:port]]

DESCRIPTION

xfreerdp is an X11 Remote Desktop Protocol (RDP) client which is part of the FreeRDP project. An RDP server is built-in to many editions of Windows. Alternative servers included xrdp and VRDP (VirtualBox).

OPTIONS

/a:addin[,options], /addin:addin[,options]
    Addin

/action-script:file-name
    Action script (default:~/.config/freerdp/action.sh)

/admin, /console
    Admin (or console) session

+aero
    Enable desktop composition (default:off)

/app:path or ||alias
    Remote application program

/app-cmd:parameters
    Remote application command-line parameters

/app-file:file-name
    File to open with remote application

/app-guid:app-guid
    Remote application GUID

/app-icon:icon-path
    Remote application icon for user interface

/app-name:app-name
    Remote application name for user interface

/assistance:password
    Remote assistance password

+async-channels
    Asynchronous channels (experimental) (default:off)

+async-input
    Asynchronous input (default:off)

+async-transport
    Asynchronous transport (experimental) (default:off)

+async-update
    Asynchronous update (default:off)

/audio-mode:mode
    Audio output mode

+auth-only
    Authenticate only (default:off)

-authentication
    Authentication (expermiental) (default:on)

+auto-reconnect
    Automatic reconnection (default:off)

/auto-reconnect-max-retries:retries
    Automatic reconnection maximum retries, 0 for unlimited [0,1000]

-bitmap-cache
    Enable bitmap cache (default:on)

/bpp:depth
    Session bpp (color depth) (default:16)

/buildconfig
    Print the build configuration

/cert-ignore
    Ignore certificate

/cert-name:name
    Certificate name

/cert-tofu
    Automatically accept certificate on first connect

/client-hostname:name
    Client Hostname to send to server

-clipboard
    Redirect clipboard (default:on)

/codec-cache:rfx|nsc|jpeg
    Bitmap codec cache

-compression, -z
    Enable compression (default:on)

/compression-level:level
    Compression level (0,1,2)

+credentials-delegation
    Disable credentials delegation (default:off)

/d:domain
    Domain

-decorations
    Window decorations (default:on)

/disp
    Display control

/drive:name,path
    Redirect directory <path< as named share <name<

+drives
    Redirect all mount points as shares (default:off)

/dvc:channel[,options]
    Dynamic virtual channel

/echo, /echo
    Echo channel

-encryption
    Encryption (experimental) (default:on)

/encryption-methods:[40,][56,][128,][FIPS]
    RDP standard security encryption methods

/f  Fullscreen mode (<Ctrl<+<Alt<+<Enter< toggles fullscreen)

-fast-path
    Enable fast-path input/output (default:on)

+fipsmode
    Enable FIPS mode (default:off)

+fonts
    Enable smooth fonts (ClearType) (default:off)

/frame-ack:number
    Number of frame acknowledgement

/from-stdin[:force]
    Read credentials from stdin. With <force< the prompt is done before connection, otherwise on server request.

/g:gateway[:port]
    Gateway Hostname

/gateway-usage-method:direct|detect, /gum:direct|detect
    Gateway usage method

/gd:domain
    Gateway domain

/gdi:sw|hw
    GDI rendering

+gestures
    Consume multitouch input locally (default:off)

/gfx[:RFX|AVC420|AVC444]
    RDP8 graphics pipeline (experimental)

/gfx-h264[:AVC420|AVC444]
    RDP8.1 graphics pipeline using H264 codec

+gfx-progressive
    RDP8 graphics pipeline using progressive codec (default:off)

+gfx-small-cache
    RDP8 graphics pipeline using small cache mode (default:off)

+gfx-thin-client
    RDP8 graphics pipeline using thin client mode (default:off)

+glyph-cache
    Glyph cache (experimental) (default:off)

/gp:password
    Gateway password

-grab-keyboard
    Grab keyboard (default:on)

/gt:rpc|http|auto
    Gateway transport type

/gu:[domain\]user or user[@domain]
    Gateway username

/h:height
    Height (default:768)

+heartbeat
    Support heartbeat PDUs (default:off)

/help, /?
    Print help

+home-drive
    Redirect user home as share (default:off)

/ipv6, /6
    Prefer IPv6 AAA record over IPv4 A record

/kbd:0xid or name
    Keyboard layout

/kbd-fn-key:value
    Function key value

/kbd-list
    List keyboard layouts

/kbd-subtype:id
    Keyboard subtype

/kbd-type:id
    Keyboard type

/load-balance-info:info-string
    Load balance info

/log-filters:tag:level[,tag:level[,...]]
    Set logger filters, see wLog(7) for details

/log-level:OFF|FATAL|ERROR|WARN|INFO|DEBUG|TRACE
    Set the default log level, see wLog(7) for details

/max-fast-path-size:size
    Specify maximum fast-path update size

/max-loop-time:time
    Specify maximum time in milliseconds spend treating packets

+menu-anims
    Enable menu animations (default:off)

/microphone[:[sys:sys,][dev:dev,][format:format,][rate:rate,][channel:channel]], /mic[:[sys:sys,][dev:dev,][format:format,][rate:rate,][channel:channel]]
    Audio input (microphone)

/monitor-list
    List detected monitors

/monitors:id[,id[,...]]
    Select monitors to use

-mouse-motion
    Send mouse motion (default:on)

/multimedia[:[sys:sys,][dev:dev,][decoder:decoder]], /mmr[:[sys:sys,][dev:dev,][decoder:decoder]]
    Redirect multimedia (video)

/multimon[:force]
    Use multiple monitors

+multitouch
    Redirect multitouch input (default:off)

+multitransport
    Support multitransport protocol (default:off)

-nego
    Enable protocol security negotiation (default:on)

/network:modem|broadband|broadband-low|broadband-higg|wan|lan|auto
    Network connection type

/nsc, /nscodec
    Enable NSCodec

-offscreen-cache
    Enable offscreen bitmap cache (default:on)

/orientation:0|90|180|270
    Orientation of display in degrees

/p:password
    Password

/parallel[:name[,path]]
    Redirect parallel device

/parent-window:window-id
    Parent window id

+password-is-pin
    Use smart card authentication with password as smart card PIN (default:off)

/pcb:blob
    Preconnection Blob

/pcid:id
    Preconnection Id

/pheight:height
    Physical height of display (in millimeters)

/play-rfx:pcap-file
    Replay rfx pcap file

/port:number
    Server port

+print-reconnect-cookie
    Print base64 reconnect cookie after connecting (default:off)

/printer[:name[,driver]]
    Redirect printer device

/proxy:[proto://]host:port
    Proxy (see also environment variable below)

/pth:password-hash, /pass-the-hash:password-hash
    Pass the hash (restricted admin mode)

/pwidth:width
    Physical width of display (in millimeters)

/reconnect-cookie:base64-cookie
    Pass base64 reconnect cookie to the connection

/restricted-admin, /restrictedAdmin
    Restricted admin mode

/rfx
    RemoteFX

/rfx-mode:image|video
    RemoteFX mode

/scale:100|140|180
    Scaling factor of the display (default:100)

/scale-desktop:percentage
    Scaling factor for desktop applications (value between 100 and 500) (default:100)

/scale-device:100|140|180
    Scaling factor for app store applications (default:100)

/sec:rdp|tls|nla|ext
    Force specific protocol security

+sec-ext
    NLA extended protocol security (default:off)

-sec-nla
    NLA protocol security (default:on)

-sec-rdp
    RDP protocol security (default:on)

-sec-tls
    TLS protocol security (default:on)

/serial[:name[,path[,driver[,permissive]]]], /tty[:name[,path[,driver[,permissive]]]]
    Redirect serial device

/shell:shell
    Alternate shell

/shell-dir:dir
    Shell working directory

/size:widthxheight or percent%[wh]
    Screen size (default:1024x768)

/smart-sizing[:widthxheight]
    Scale remote desktop to window size

/smartcard[:name[,path]]
    Redirect smartcard device

/sound[:[sys:sys,][dev:dev,][format:format,][rate:rate,][channel:channel,][latency:latency,][quality:quality]], /audio[:[sys:sys,][dev:dev,][format:format,][rate:rate,][channel:channel,][latency:latency,][quality:quality]]
    Audio output (sound)

/span
    Span screen over multiple monitors

/spn-class:service-class
    SPN authentication service class

/ssh-agent, /ssh-agent
    SSH Agent forwarding channel

/t:title, /title:title
    Window title

-themes
    Enable themes (default:on)

/tls-ciphers:netmon|ma|ciphers
    Allowed TLS ciphers

-toggle-fullscreen
    Alt+Ctrl+Enter toggles fullscreen (default:on)

/u:[domain\]user or user[@domain]
    Username

+unmap-buttons
    Let server see real physical pointer button (default:off)

/usb:[dbg,][dev:dev,][id|addr,][auto]
    Redirect USB device

/v:server[:port]
    Server hostname

/vc:channel[,options]
    Static virtual channel

/version
    Print version

/vmconnect[:vmid]
    Hyper-V console (use port 2179, disable negotiation)

/w:width
    Width (default:1024)

-wallpaper
    Enable wallpaper (default:on)

+window-drag
    Enable full window drag (default:off)

/wm-class:class-name
    Set the WM_CLASS hint for the window instance

/workarea
    Use available work area

ENVIRONMENT VARIABLES

wlog environment variable
    xfreerdp uses wLog as its log facility, you can refer to the corresponding man page (wlog(7)) for more informations. Arguments passed via the /log-level or /log-filters have precedence over the environment variables.

EXAMPLES

xfreerdp connection.rdp /p:Pwd123! /f
    Connect in fullscreen mode using a stored configuration connection.rdp and the password Pwd123!

xfreerdp /u:USER /size:50%h /v:rdp.contoso.com
    Connect to host rdp.contoso.com with user USER and a size of 50 percent of the height. If width (w) is set instead of height (h) like /size:50%w. 50 percent of the width is used.

xfreerdp /u:CONTOSO\\JohnDoe /p:Pwd123! /v:rdp.contoso.com
    Connect to host rdp.contoso.com with user CONTOSO\\JohnDoe and password Pwd123!

xfreerdp /u:JohnDoe /p:Pwd123! /w:1366 /h:768 /v:192.168.1.100:4489
    Connect to host 192.168.1.100 on port 4489 with user JohnDoe, password Pwd123!. The screen width is set to 1366 and the height to 768

xfreerdp /u:JohnDoe /p:Pwd123! /vmconnect:C824F53E-95D2-46C6-9A18-23A5BB403532 /v:192.168.1.100
    Establish a connection to host 192.168.1.100 with user JohnDoe, password Pwd123! and connect to Hyper-V console (use port 2179, disable negotiation) with VMID C824F53E-95D2-46C6-9A18-23A5BB403532

+clipboard
    Activate clipboard redirection

/drive:home,/home/user
    Activate drive redirection of /home/user as home drive

/smartcard:<device>
    Activate smartcard redirection for device device

/printer:<device>,<driver>
    Activate printer redirection for printer device using driver driver

/serial:<device>
    Activate serial port redirection for port device

/parallel:<device>
    Activate parallel port redirection for port device

/sound:sys:alsa
    Activate audio output redirection using device sys:alsa

/microphone:sys:alsa
    Activate audio input redirection using device sys:alsa

/multimedia:sys:alsa
    Activate multimedia redirection using device sys:alsa

/usb:id,dev:054c:0268
    Activate USB device redirection for the device identified by 054c:0268

LINKS

http://www.freerdp.com/: http://www.freerdp.com/

AUTHOR